﻿@model IEnumerable<OperationalRiskException.Core.ViewModels.AssessmentReviewVM>
@*@model OperationalRiskException.Core.ViewModels.AssessmentReviewVM*@
@{
    ViewBag.Title = "Dashboard";
    Layout = "~/Views/Shared/_LayoutProcessor.cshtml";
}


<div class="row">
    <div class="col-md-12 grid-margin">
        <div class="d-flex justify-content-between flex-wrap">
            <div class="d-flex align-items-end flex-wrap">
                <div class="d-flex">
                    <i class="mdi mdi-home text-muted hover-cursor"></i>
                    <p class="text-muted mb-0 hover-cursor">&nbsp;/&nbsp; Operational Risk &nbsp;/&nbsp;</p>
                    <p class="text-primary mb-0 hover-cursor">Dashboard</p>
                </div>
            </div>

        </div>
    </div>
</div>

<div class="row">

    <!-- Earnings (Monthly) Card Example -->
    <div class="col-xl-4 col-md-6 mb-4">
        <div class="card border-left-primary shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">All Taken Asessments </div>
                        <div class="h5 mb-0 font-weight-bold text-gray-800" id="NoOfChampions"></div>
                    </div>
                    <div class="col-auto">
                        <i class="fa fa-apple fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Earnings (Monthly) Card Example -->
    <!-- Earnings (Monthly) Card Example -->
    <div class="col-xl-4 col-md-6 mb-4">
        <div class="card border-left-info shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <div class="text-xs font-weight-bold text-info text-uppercase mb-1">  Assessment Pending Approval <span class="taken"></span> </div>
                        <div class="row no-gutters align-items-center">
                            <div class="col-auto">
                                <div class="h5 mb-0 mr-3 font-weight-bold text-gray-800" id="takenTest">0</div>
                            </div>
                            <div class="col">
                                <div class="progress progress-sm mr-2">
                                    <div class="progress-bar" role="progressbar" style="width: 50%" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-auto">
                        <i class="fa fa-clipboard fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Pending Requests Card Example -->
    <div class="col-xl-4 col-md-6 mb-4">
        <div class="card border-left-warning shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <div class="text-xs font-weight-bold text-warning text-uppercase mb-1"></div>
                        <div class="h5 mb-0 font-weight-bold text-gray-800" id="notYetTakenTest"> </div>
                    </div>
                    <div class="col-auto">
                        <i class="fa fa-comments fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<div class="row">
    <div class="col-md-12 grid-margin stretch-card">
        <div class="card tablecontainer">
            <div class="card-body">
                <h4 class="card-title"></h4>
                <p class="card-description">
                    List of Unattended Assessment
                </p>

                <!-- Adding date-->
                <div class="form-group">
                    @using (Html.BeginForm("Index", "OperationalRisk", FormMethod.Get, new { @class = "form-group row" }))
                    {
                        <div class="form-group col-md-4">

                            <label for="exampleInputUsername1">Start Date</label>
                            <div class="row col-md-12">

                                @Html.TextBox("StartDate", (string)ViewBag.StartDate, new { @class = "date-ui datepicker " })
                            </div>
                        </div>
                        <div class="form-group col-md-4">

                            <label for="exampleInputUsername1">End Date</label>
                            <div class="row col-md-12">

                                @Html.TextBox("EndDate", (string)ViewBag.EndDate, new { @class = "date-ui datepicker " })
                            </div>
                        </div>
                        <div class="form-group col-md-4">

                            <label for="exampleInputUsername1"></label>
                            <div class="row col-md-12">

                                <button type="submit" class="btn btn-primary"> Search </button>
                              </div>
                        </div>
                    }
                </div>

                <div class="table-responsive pt-3">
                    <table class="table table-bordered" id="myTable">
                        <thead class="table-dark text-center table-hover" id="mytablecolour">
                            <tr>
                                @*<th>
                            S/N
                        </th>*@
                                <th>
                                    Username
                                </th>

                                <th>
                                    Department
                                </th>

                                <th>
                                    Date
                                </th>

                                <th>
                                    Result
                                </th>


                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var items in Model)
                            {
                                <tr>
                                    <td>@items.Username</td>
                                    <td>@items.Department</td>
                                    <td>@items.DateCompleted</td>
                                    <td> <a href="@Url.Action("UserScript", "OperationalRisk")?userId=@items.UserId&SetupId=@items.AssessmentSetupId" class="btn btn-danger p-3">Assessment Result</a></td>
                                </tr>
                            }
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>


<script type="text/javascript">
     $(document).ready(function () {
         $("#myTable").DataTable();
         DateTimePicker();
     });
        function DateTimePicker() {
        $(".datepicker").datepicker({
            dateFormat: 'dd-M-yy',
            changeMonth: true,
            changeYear: true,
            showOn: 'button',
            sideBySide : true,
            controlType: 'select',
            buttonText: '<span class="mdi mdi-calendar mdi-24px" ></span>',
            
        });
    }

</script>
@*<div id="userModal" class="modal fade">
    <div class="modal-dialog">
        <div class="modal-content" id="userModalBody">

        </div>
    </div>
</div>*@

@*<script type="text/javascript">
    function updateModal(userId) {
        $.get('@Url.Action("Approve", "OperationalRisk")', { Id: userId }, function (res) {
            $("#userModalBody").html(res);
            $("#userModal").modal("show");
           // oTable.ajax.reload();
        });
    }	

    function deleteModal(userId) {
        $.get('@Url.Action("Reject", "OperationalRisk")', { Id: userId }, function (res) {
            $("#userModalBody").html(res);
            $("#userModal").modal("show");
           // oTable.ajax.reload();
        });
    }

    var oTable;
    $(document).ready(function () {
        // debugger;
        toastrFunction()
        oTable = $("#myTable").DataTable({
            "processing": true, // for show progress bar
            "serverSide": true, // for process server side
            "filter": true, // this is for disable filter (search box)
            "orderMulti": false, // for disable multiple column at once


             "delay": 150,
             "ajax": {
                    "url": "@Url.Action("GetDataDashboard", "OperationalRisk")",
                    "type": "GET",
                    "datatype": "json"
            },



             "columns": [
                    { "data": "Username" },
                    { "data": "Department" },
                    { "data": "AttachmentUpload" },

                    {
                       "data": "AssessmentSetupId", "width": "50px", "render": function (data) {
                            return '<button class="btn btn-primary btn-lg" style="min-height:2rem" onclick="updateModal(' + data+ ')">Approve</button>';
       
                       
                        }
                    },

                    {
                        "data": "AssessmentSetupId", "width": "50px", "render": function (data) {
                        return '<button class="btn btn-danger btn-lg" style="min-height:2rem" onclick="deleteModal(' + data+ ')">Reject</button>';
               
                      
                        }
                    }
                   
             ],
                "language": {
                    "emptyTable" : "No data found "
                }



        })
    });


     function approveRecord() {
                    var form = $('form[name="updateCategoryForm"]');
         var entry = form.serialize();
         $.post('@Url.Action("Approve", "OperationalRisk")', entry, function (res) {  
            if (res.status) {
                toastr.success("Successfully Approved", "Notification");

                oTable.ajax.reload();
                $("#userModal").modal('hide');
            }
            else {
                toastr.error("Failed to update, <br> Please check if the record already existed", "Error Notification");
            }
           //
        });
    }
         function rejectRecord() {
                    var form = $('form[name="rejectCategoryForm"]');
         var entry = form.serialize();
         $.post('@Url.Action("Reject", "OperationalRisk")', entry, function (res) {  
            if (res.status) {
                toastr.success("Successfully Rejected", "Notification");

                oTable.ajax.reload();
                $("#userModal").modal('hide');
            }
            else {
                toastr.error("Failed to update, <br> Please check your internet connnection", "Error Notification");
            }
           //
        });
    }
       function toastrFunction() {

         if ('@TempData["CreateQuest"]'.length > 1) {
          toastr.success('@TempData["CreateQuest"]','Notification');
         }
         else  if ('@TempData["FailedQuest"]'.length>1) {
          toastr.error('@TempData["FailedQuest"]','Notification');
       }

    }


</script>*@